ROFFBIB(1)

NAME
roffbib - format and print a bibliographic database

SYNOPSIS
roffbib [ -e ] [ -h ] [ -m filename ] [ -np ]
[ -olist ] [ -Q ] [ -raN ] [ -sN ] [ -Tterm ]
[ -V ] [ -x ] [ filename ] ...

AVAILABILITY

This command is available with the Text software installation option. Refer to for information on how to install optional software.

DESCRIPTION

roffbib prints out all records in a bibliographic database, in bibliography format rather than as footnotes or endnotes. Generally it is used in conjunction with sortbib(1):

    example% sortbib database | roffbib

OPTIONS
roffbib accepts all options understood by nroff(1) except -i and -q.

-e  Produce equally-spaced words in adjusted lines using full terminal resolution.

-h  Use output tabs during horizontal spacing to speed output and reduce output character count. TAB settings are assumed to be every 8 nominal character widths.

-m filename
    Prepend the macro file /usr/share/lib/tmac/tmac.name to the input files. There should be a space between the -m and the macro filename. This set of macros will replace the ones defined in /usr/share/lib/tmac/tmac.bib.

-np Number first generated page p.

-olist
    Print only page numbers that appear in the comma-separated list of numbers and ranges. A range N-M means pages N through M; an initial -N means from the beginning to page N; a final N- means from page N to end.

-Q  Queue output for the phototypesetter. Page offset is set to 1 inch.

-raN
    Set register a (one-character) to N. The command-line argument -rN1 will number the references starting at 1.

    Four command-line registers control formatting style of the bibliography, much like the number registers of ms(7). The flag -rV2 will double space the bibliography, while -rV1 will double space references but single space annotation paragraphs. The line length can be changed from the default 6.5 inches to 6 inches with the -rL6i argument, and the page offset can be set from the default of 0 to one inch by specifying -rO1i (capital O, not zero).

-sN Halt prior to every N pages for paper loading or changing (default N=1). To resume, enter NEWLINE or RETURN.

-Tterm
    Specify term as the terminal type.

-V  Send output to the Versatec. Page offset is set to 1 inch. This option not available on Sun386i systems.

-x  If abstracts or comments are entered following the %X field key, roffbib will format them into paragraphs for an annotated bibliography. Several %X fields may be given if several annotation paragraphs are desired.

FILES
/usr/share/lib/tmac/tmac.bib
    file of macros used by nroff/troff

SEE ALSO
addbib(1), indxbib(1), lookbib(1), nroff(1) refer(1), sortbib(1), troff(1)

BUGS

Users have to rewrite macros to create customized formats.